bt {gap} | R Documentation

## Bradley-Terry model for contingency table

### Description

This function calculates statistics under Bradley-Terry model.

### Usage

    bt(x)

### Arguments

`x` | the data table

### Value

The returned value is a list containing:

`y` | A column of 1
`count` | the frequency count/weight
`allele` | the design matrix
`bt.glm` | a glm.fit object
`etdt.dat` | a data table that can be used by ETDT

### References

Bradley RA, Terry ME (1952) Rank analysis of incomplete block designs I. the method of paired comparisons. Biometrika 39:324–345

Sham PC, Curtis D (1995) An extended transmission/disequilibrium test (TDT) for multi-allelic marker loci. Ann. Hum. Genet. 59:323-336

### Note

Adapted from a SAS macro for data in the example section

### Author(s)

Jing Hua Zhao

### See Also

`mtdt`

### Examples

    ## Not run:
    # Copeman JB, Cucca F, Hearne CM, Cornall RJ, Reed PW,
    # Ronningen KS, Undlien DE, Nistico L, Buzzetti R, Tosi R, et al.
    # (1995) Linkage disequilibrium mapping of a type 1
    # diabetes susceptibility gene (IDDM7) to chromosome 2q31-q33.
    # Nat Genet 9: 80-5

    x <- matrix(c(0,0, 0, 2, 0,0, 0, 0, 0, 0, 0, 0,
                  0,0, 1, 3, 0,0, 0, 2, 3, 0, 0, 0,
                  2,3,26,35, 7,0, 2,10,11, 3, 4, 1,
                  2,3,22,26, 6,2, 4, 4,10, 2, 2, 0,
                  0,1, 7,10, 2,0, 0, 2, 2, 1, 1, 0,
                  0,0, 1, 4, 0,1, 0, 1, 0, 0, 0, 0,
                  0,2, 5, 4, 1,1, 0, 0, 0, 2, 0, 0,
                  0,0, 2, 6, 1,0, 2, 0, 2, 0, 0, 0,
                  0,3, 6,19, 6,0, 0, 2, 5, 3, 0, 0,
                  0,0, 3, 1, 1,0, 0, 0, 1, 0, 0, 0,
                  0,0, 0, 2, 0,0, 0, 0, 0, 0, 0, 0,
                  0,0, 1, 0, 0,0, 0, 0, 0, 0, 0, 0),nrow=12)

    # Bradley-Terry model, only deviance is available in glm
    # (SAS gives score and Wald statistics as well)
    bt.ex<-bt(x)
    anova(bt.ex$bt.glm)
    summary(bt.ex$bt.glm)

    ## End(Not run)

[Package gap version 1.2.1 Index]